import { world } from "@minecraft/server"

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.itemComponentRegistry.registerCustomComponent('item:water', {
        onUse: e => {
            const { source, itemStack } = e;

            source.runCommandAsync('execute as @a[hasitem={item=mc:water_bender,location=slot.weapon.mainhand}] at @s run tag @s add use4');
            source.runCommandAsync('playanimation @s animation.armor_stand.salute_pose x 1');
        }
    });
});
